<template>
  <div id="app">
    <router-view/>
  </div>
</template>

<script>
export default {
  created () {
    // 当在任一路由页面被刷新时，即是根组件app被重新创建，此时可以进行webSocket重连
    // 从localStorage中获取用户信息，是登录状态则可以进行webSocket重连
    let userId = window.localStorage.getItem('userId')
    if (userId) {
      this.$connectSocket('ws://47.101.53.252:10000/message/api/' + userId)
    }
  }
}
</script>

<style lang="less">
  body {
    margin: 0;
  }
  a {
    text-decoration: none;
  }
  #app {
    background-color: #F7F7F7;
    width: 100%;
    height: 100%;
    --tab-bar-height: 49px;
    --setting-title: 72.7px;
  }
</style>
